"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
tslib_1.__exportStar(require("@graphql-toolkit/common"), exports);
tslib_1.__exportStar(require("@graphql-toolkit/core"), exports);
tslib_1.__exportStar(require("@graphql-toolkit/file-loading"), exports);
tslib_1.__exportStar(require("@graphql-toolkit/schema-merging"), exports);
const json_file_loader_1 = require("@graphql-toolkit/json-file-loader");
const url_loader_1 = require("@graphql-toolkit/url-loader");
const code_file_loader_1 = require("@graphql-toolkit/code-file-loader");
const graphql_file_loader_1 = require("@graphql-toolkit/graphql-file-loader");
const core_1 = require("@graphql-toolkit/core");
const DEFAULT_SCHEMA_LOADERS = [new url_loader_1.UrlLoader(), new json_file_loader_1.JsonFileLoader(), new graphql_file_loader_1.GraphQLFileLoader(), new code_file_loader_1.CodeFileLoader()];
const DEFAULT_DOCUMENTS_LOADERS = [new graphql_file_loader_1.GraphQLFileLoader(), new code_file_loader_1.CodeFileLoader()];
async function loadTypedefs(pointerOrPointers, options = {}, filterKinds = [], cwd = process.cwd(), loaders = DEFAULT_SCHEMA_LOADERS) {
    return core_1.loadTypedefsUsingLoaders(loaders, pointerOrPointers, options, filterKinds, cwd);
}
exports.loadTypedefs = loadTypedefs;
async function loadDocuments(pointerOrPointers, options = {}, cwd = process.cwd(), loaders = DEFAULT_DOCUMENTS_LOADERS) {
    return core_1.loadDocumentsUsingLoaders(loaders, pointerOrPointers, options, cwd);
}
exports.loadDocuments = loadDocuments;
async function loadSchema(pointerOrPointers, options = {}, cwd = process.cwd(), loaders = DEFAULT_DOCUMENTS_LOADERS) {
    return core_1.loadSchemaUsingLoaders(loaders, pointerOrPointers, options, cwd);
}
exports.loadSchema = loadSchema;
//# sourceMappingURL=index.js.map